import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import location from './modules/location'
import app from './modules/app'

Vue.use(Vuex) // vue的插件机制

// Vuex.Store 构造器选项
export default new Vuex.Store({
	getters,
	modules: {
		location,
		app
	}
})
